const Joi = require("joi");

const UserDepartmentPatchModel = Joi.object({
    id: Joi.string().uuid().required().messages({
        'any.required': 'User ID is required',
        'string.empty': 'User ID must not be empty',
        'string.uuid': 'User ID must be a valid UUID'
    }),
    department: Joi.string().required().messages({
        'any.required': 'User ID is required',
        'string.empty': 'User ID must not be empty',
    })
});

module.exports = UserDepartmentPatchModel;
